from os import environ
from platform import system

CONFIG = {
    'framework' : 'other',
    'arg' : 'PYCMD setup.py build_ext --inplace --zmq={} && PYCMD setup.py test',
    'env' : None,
    'expect_except' : None,
    'need_sources' : True,
    'location' : None,
    'use_re' : False,
    'set_cl_path' : True,
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
    },
    'failures' : { #SAT-1138
        '2.7' : {
            'Win' : {'TestEINTRSysCall.test_retry_recv',
                     'TestEINTRSysCall.test_retry_poll',
                     'TestEINTRSysCall.test_retry_send',
                     'TestEINTRSysCall.test_retry_term',
                     'TestMonitoredQueue.test_router_router'},
            'Lin' : set(),
            'Mac' : set()
        },
        '3.5' : {
            'Win' :  {'TestEINTRSysCall.test_retry_poll',
                      'TestEINTRSysCall.test_retry_send',
                      'TestAsyncioAuthentication.test_curve',
                      'TestEINTRSysCall.test_retry_recv',
                      'TestAsyncioAuthentication.test_plain',
                      'TestEINTRSysCall.test_retry_term',
                      'TestMonitoredQueue.test_router_router'},
            'Lin' : set(),
            'Mac' : set()
        },
    }
}

def fetch_config(pyver):
    if system() == "Windows" or system() == "Darwin":
        CONFIG['arg'] = CONFIG['arg'].format('bundled')
    else:
        CONFIG['arg'] = CONFIG['arg'].format(environ['PREFIX'])
    return CONFIG
